You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@nuttx.apache.org by GitBox <gi...@apache.org> on 2021/10/26 13:39:27 UTC

[GitHub] [incubator-nuttx] Ouss4 commented on a change in pull request #4730: tool: add code coverage tool

Ouss4 commented on a change in pull request #4730:
URL: https://github.com/apache/incubator-nuttx/pull/4730#discussion_r736552109



##########
File path: tools/gcov.sh
##########
@@ -0,0 +1,54 @@
+#!/usr/bin/env bash
+# tools/gcov.sh
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to you under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ROOT_DIR=$(cd $(dirname $0)/../../; pwd)
+
+if [ $# == 1 ]; then
+    GCOV_DIR=$1
+else
+    GCOV_DIR=${ROOT_DIR}/gcov
+fi
+
+files=$(find -name "*.gcda" 2> /dev/null | wc -l)
+if [ "$files" == "0" ] ;then
+    echo "Please run ./nuttx before using gcov.sh to generate the coverage report"
+    exit 1
+fi
+
+type lcov
+if [ $? -ne 0 ]; then
+    echo "Code coverage generation tool is not detected, please execute \"apt get install lcov\""

Review comment:
       ```suggestion
       echo "Code coverage generation tool not detected, please install lcov"
   ```
   
   `apt get install` is too specific to an OS/distribution.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@nuttx.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org